+++
title = "Fractional Order Transfer Functions"
author = ["Thomas Dehaeze"]
draft = false
+++

Tags
:


## Example Using the FOMCON toolbox {#example-using-the-fomcon-toolbox}

The documentation for the toolbox is accessible [here](https://fomcon.net/fomcon-toolbox/overview/).

Here are the parameters that are used to define the wanted properties of the fractional model:

```matlab
wb = 2*pi*0.1; % Lowest frequency bound
wh = 2*pi*1e3; % Highest frequency bound
n  = 8; % Approximation order
r = 0.5; % Wanted slope, The corresponding phase will be pi*r
```

Then, to create an approximation of a fractional-order operator \\(s^r\\) of order \\(n\\) which is valid in the frequency range \\([\omega\_b\, \omega\_h]\\), the `oustafod` function can be used:

```matlab
G = oustafod(r,n,wb,wh);
```

Few examples of different slopes are shown in Figure [1](#orgb7e7209).

<a id="orgb7e7209"></a>

{{< figure src="/ox-hugo/approximate_deriv_int.png" caption="Figure 1: Example of fractional approximations" >}}

<./biblio/references.bib>
